Package com.sun.jna.platform.unix

# Class X11.WindowByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.unix.X11.WindowByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  X11

public static class X11.WindowByReference extends ByReference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WindowByReference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X11.Window`
  `getValue()`

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WindowByReference

    public WindowByReference()

- ## Method Details

  - ### getValue

    public X11.Window getValue()